Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLANSY

    java.lang.Object
      org.netlib.lapack.SLANSY

    public class SLANSY

extends java.lang.Object

    SLANSY is a simplified interface to the JLAPACK routine slansy.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLANSY  returns the value of the one norm,  or the Frobenius norm, or
     *  the  infinity norm,  or the  element of  largest absolute value  of a
     *  real symmetric matrix A.
     *
     *  Description
     *  ===========
     *
     *  SLANSY returns the value
     *
     *     SLANSY = ( max(abs(A(i,j))), NORM = 'M' or 'm'
     *              (
     *              ( norm1(A),         NORM = '1', 'O' or 'o'
     *              (
     *              ( normI(A),         NORM = 'I' or 'i'
     *              (
     *              ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
     *
     *  where  norm1  denotes the  one norm of a matrix (maximum column sum),
     *  normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
     *  normF  denotes the  Frobenius norm of a matrix (square root of sum of
     *  squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix no
     *
     *  Arguments
     *  =========
     *
     *  NORM    (input) CHARACTER*1
     *          Specifies the value to be returned in SLANSY as described
     *          above.
     *
     *  UPLO    (input) CHARACTER*1
     *          Specifies whether the upper or lower triangular part of the
     *          symmetric matrix A is to be referenced.
     *          = 'U':  Upper triangular part of A is referenced
     *          = 'L':  Lower triangular part of A is referenced
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.  When N = 0, SLANSY is
     *          set to zero.
     *
     *  A       (input) REAL array, dimension (LDA,N)
     *          The symmetric matrix A.  If UPLO = 'U', the leading n by n
     *          upper triangular part of A contains the upper triangular part
     *          of the matrix A, and the strictly lower triangular part of A

     *          is not referenced.  If UPLO = 'L', the leading n by n lower
     *          triangular part of A contains the lower triangular part of
     *          the matrix A, and the strictly upper triangular part of A is

     *          not referenced.
     *
     *  LDA     (input) INTEGER
     *          The leading dimension of the array A.  LDA >= max(N,1).
     *
     *  WORK    (workspace) REAL array, dimension (MAX(1,LWORK)),
     *          where LWORK >= N when NORM = 'I' or '1' or 'O'; otherwise,
     *          WORK is not referenced.
     *
     * =====================================================================

     *
     *     .. Parameters ..

Constructor Summary
`SLANSY()`

Method Summary
`static float` | `SLANSY(java.lang.String norm, java.lang.String uplo, int n, float[][] a, float[] work)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLANSY

    public SLANSY()

Method Detail

### SLANSY

    public static float SLANSY(java.lang.String norm,
                               java.lang.String uplo,
                               int n,
                               float[][] a,
                               float[] work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD